﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using Gecko;
using System.IO;
using Gecko.Security;


namespace Test
{
    static class Program
    {
        /// <summary>
        /// 应用程序的主入口点。
        /// </summary>
        [STAThread]
        static void Main()
        {
            string xulDirPath = string.Format("{0}\\Xulrunner\\", System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().Location));

            if (System.IO.Directory.Exists(xulDirPath))
            {
                Xpcom.Initialize(xulDirPath);    //init with the dir path

                Application.EnableVisualStyles();

                Application.SetCompatibleTextRenderingDefault(false);

                Application.Run(new Xulfx());
            }
            else
            {
                MessageBox.Show("系统文件<Xulrunner>缺失，请重新安装程序", "程序启动错误", MessageBoxButtons.OK, MessageBoxIcon.Error);

                Environment.ExitCode = 1;                       //sets abnormal exit code

                //quits...
            }




        }
    }
}
