﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Gecko;
using System.IO;

namespace Test
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            geckoWebBrowser1.Dock = DockStyle.Fill;
        }

        protected override void OnShown(EventArgs e)
        {
            base.OnShown(e);

            geckoWebBrowser1.RequestProgressChanged += (o, ev) =>
            {


                Trace.TraceInformation("ev.CurrentProgress = --------" + ev.CurrentProgress);
                Trace.TraceInformation("ev.MaximumProgress = ++++++++" + ev.MaximumProgress);
                if (ev.MaximumProgress !=0 && ev.CurrentProgress <= ev.MaximumProgress)
                {
                    progressBar1.Visible = true;

                    double s = (double)ev.CurrentProgress / ev.MaximumProgress;
                    Trace.TraceInformation(s.ToString());


                    progressBar1.Value = Convert.ToInt32(s * 100);
                }

                // progressBar1.Value = Convert.ToInt32((float)ev.CurrentProgress / (float)ev.MaximumProgress * 100);

                


            };
            geckoWebBrowser1.DocumentCompleted += (o, ev) =>
            {
                progressBar1.Value = progressBar1.Maximum;

                progressBar1.Visible = false;
            };


                geckoWebBrowser1.Navigate("http://online.kiwimeal.com");

            LauncherDialog.Download += (o, ev) =>
             {
                 nsILocalFile objTarget = Xpcom.CreateInstance<nsILocalFile>("@mozilla.org/file/local;1");

                 using (nsAString tmp = new nsAString(@Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData) + "\temp.tmp"))
                 {
                     objTarget.InitWithPath(tmp);
                 }

                 //Save file dialog
                 Stream myStream;
                 SaveFileDialog saveFileDialog1 = new SaveFileDialog();

                 //Close viewer form if we can't read the file in the viewer_form
                 //  if (FormIsOpen(Application.OpenForms, typeof(viewer_form)))
                 //   {
                 //       viewer_form.ActiveForm.Dispose();
                 //   }

                 saveFileDialog1.InitialDirectory = Environment.GetFolderPath(Environment.SpecialFolder.DesktopDirectory);
                 saveFileDialog1.Filter = "All files (*.*)|*.*";
                 saveFileDialog1.FilterIndex = 2;
                 saveFileDialog1.RestoreDirectory = true;
                 saveFileDialog1.FileName = ev.Filename;


                 if (saveFileDialog1.ShowDialog() == DialogResult.OK)
                 {
                     if ((myStream = saveFileDialog1.OpenFile()) != null)
                     {
                         nsIURI source = IOService.CreateNsIUri(ev.Url);
                         nsIURI dest = IOService.CreateNsIUri(new Uri(@saveFileDialog1.FileName).AbsoluteUri);
                         nsAStringBase t = (nsAStringBase)new nsAString(System.IO.Path.GetFileName(@saveFileDialog1.FileName));

                         nsIWebBrowserPersist persist = Xpcom.CreateInstance<nsIWebBrowserPersist>("@mozilla.org/embedding/browser/nsWebBrowserPersist;1");
                         nsIDownloadManager DownloadMan = null;

                         DownloadMan = Xpcom.CreateInstance<nsIDownloadManager>("@mozilla.org/download-manager;1");
                         nsIDownload download = DownloadMan.AddDownload(0, source, dest, t, ev.Mime, 0, null, (nsICancelable)persist, false);

                         if (download != null)
                         {
                             persist.SetPersistFlagsAttribute(2 | 32 | 16384);
                             persist.SetProgressListenerAttribute((nsIWebProgressListener)download);
                             persist.SaveURI(source, null, null, null, null, (nsISupports)dest, null);
                         }

                         myStream.Close();
                     }
                 }
             };

            //Gecko.LauncherDialog.Download += (Object sender, LauncherDialogEvent ev) =>
            //{
            //    uint flags = (uint)nsIWebBrowserPersistConsts.PERSIST_FLAGS_NO_CONVERSION |
            //        (uint)nsIWebBrowserPersistConsts.PERSIST_FLAGS_REPLACE_EXISTING_FILES |
            //        (uint)nsIWebBrowserPersistConsts.PERSIST_FLAGS_BYPASS_CACHE;

            //    SaveFileDialog sfd = new SaveFileDialog();
            //    sfd.FileName = ev.Filename;
            //    sfd.Filter = "All files (*.*)|*.*";
            //    sfd.FilterIndex = 2;
            //    sfd.RestoreDirectory = true;
            //    sfd.InitialDirectory = Environment.GetFolderPath(Environment.SpecialFolder.DesktopDirectory);



            //    if (sfd.ShowDialog() == DialogResult.OK)
            //    {
            //        // the part that do the download, may be used for automation, or when the source URI is known, or after a parse of the dom :
            //        string url = ev.Url;  //url to download
            //        string fullpath = sfd.FileName; //destination file absolute path

            //        nsIURI source = IOService.CreateNsIUri(url);
            //        nsIURI dest = IOService.CreateNsIUri(new Uri(fullpath).AbsoluteUri);
            //        nsAStringBase t = (nsAStringBase)new nsAString(System.IO.Path.GetFileName(@sfd.FileName));
            //        nsIWebBrowserPersist persist = Xpcom.GetService<nsIWebBrowserPersist>("@mozilla.org/embedding/browser/nsWebBrowserPersist;1");

            //        nsIWindowWatcher win = Xpcom.GetService<nsIWindowWatcher>("@mozilla.org/embedcomp/window-watcher;1");
            //        win.OpenWindow(null, new Uri("chrome://mozapps/content/downloads/downloads.xul").AbsoluteUri,
            //            "下载", "chrome,resizable=yes", null);


            //        nsIDownloadManager DownloadMan = Xpcom.CreateInstance<nsIDownloadManager>("@mozilla.org/download-manager;1");
            //        //nsIDownload download = DownloadMan.AddDownload(0, source, dest, null, ev.Mime, 0, null, (nsICancelable)persist, false);
            //        nsIDownload download = DownloadMan.AddDownload(0, source, dest, t, ev.Mime, 0, null, (nsICancelable)persist, false);
            //        persist.SetPersistFlagsAttribute(flags);
            //        persist.SetProgressListenerAttribute((nsIWebProgressListener)download);
            //        persist.SaveURI(source, null, null, null, null, (nsISupports)dest, null);
            //        // file is saved - asynchronous call
            //        // need to try to have a temp name while the file is downloaded eg filename.ext.geckodownload (one of the SaveURI option)
            //    }
            //};

            //geckoWebBrowser1.CreateWindow += (o, ev) =>
            //{
            //    ev.Cancel = true;

            //    geckoWebBrowser1.Navigate(ev.Uri);
            //};
        }


    }
}
